summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2014-10-24 01:03:29 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-24 01:06:02 +0700
commit601999d0206f48efdedf5f6c35c4309b5d0d153b (patch)
tree39dbc6c0468e91e61cc0355c13a69db53d981702
parentccd110ed4c31bc2beb4fcefa6bbc8665399a6d22 (diff)
downloadslackbuilds-601999d0206f48efdedf5f6c35c4309b5d0d153b.tar.gz
slackbuilds-601999d0206f48efdedf5f6c35c4309b5d0d153b.tar.xz
academic/omlibraries: Added (Libraries Collection).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/omlibraries/README4
-rw-r--r--academic/omlibraries/doinst.sh9
-rw-r--r--academic/omlibraries/omlibraries.SlackBuild87
-rw-r--r--academic/omlibraries/omlibraries.info10
-rw-r--r--academic/omlibraries/slack-desc19
5 files changed, 129 insertions, 0 deletions
diff --git a/academic/omlibraries/README b/academic/omlibraries/README
new file mode 100644
index 0000000000..b4dd1cb5d8
--- /dev/null
+++ b/academic/omlibraries/README
@@ -0,0 +1,4 @@
+This is a collection of libraries belonging to different
+domains developed using Modelica language. These libraries
+can be used along with OpenModelica to model and simulate
+complex dynamic systems.
diff --git a/academic/omlibraries/doinst.sh b/academic/omlibraries/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/academic/omlibraries/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/omlibraries/omlibraries.SlackBuild b/academic/omlibraries/omlibraries.SlackBuild
new file mode 100644
index 0000000000..7d09863f33
--- /dev/null
+++ b/academic/omlibraries/omlibraries.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for omlibraries
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=omlibraries
+VERSION=${VERSION:-svn20141020}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf openmodelicalibraries_20141020-101328
+tar xvf $CWD/openmodelicalibraries_20141020-101328.tar.xz
+cd openmodelicalibraries_20141020-101328
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoconf
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/omlibraries/omlibraries.info b/academic/omlibraries/omlibraries.info
new file mode 100644
index 0000000000..2dce549783
--- /dev/null
+++ b/academic/omlibraries/omlibraries.info
@@ -0,0 +1,10 @@
+PRGNAM="omlibraries"
+VERSION="svn20141020"
+HOMEPAGE="https://openmodelica.org/"
+DOWNLOAD="https://build.openmodelica.org/libraries/openmodelicalibraries_20141020-101328.tar.xz"
+MD5SUM="fc30624d3113a1afa32bebbf4b8d398f"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+REQUIRES="openmodelica"
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/academic/omlibraries/slack-desc b/academic/omlibraries/slack-desc
new file mode 100644
index 0000000000..cf95bf3bf1
--- /dev/null
+++ b/academic/omlibraries/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+omlibraries: omlibraries (A Collection of Libraries)
+omlibraries:
+omlibraries: This package contains libraries belonging to different domains
+omlibraries: developed using Modelica language. These libraries can be used along
+omlibraries: with OpenModelica to model and simulate complex dynamic systems.
+omlibraries:
+omlibraries:
+omlibraries:
+omlibraries:
+omlibraries:
+omlibraries: